- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Vst::CVst Class Reference

List of all members.

## Detailed Description

Has statics related to VST.

Date:
  15/02/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  Taken straight from the VST specification

  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk Please note that VST is copyright Steinberg Media GmBh. No challenge is made to any of their trademarks To use this file, you require a copy of the VST SDK, available from www.steinberg.net for free

Id
  CVst.hpp,v 1.3 2007/02/08 21:08:23 paul Exp

Definition at line 28 of file CVst.hpp.

## Static Public Attributes

- static const long CVST_I_CAN_DO = 1
- static const long CVST_I_CANT_DO = -1
- static const long CVST_I_DONT_KNOW = 0
- static const long CVST_STRING_LENGTH = 24
- static const long CVST_WANT_MORE_EVENTS = 1

## Member Data Documentation

const long Exponent::Vst::CVst::CVST_I_CAN_DO = 1`[static]`

Vst can do requested operation

Definition at line 34 of file CVst.hpp.

const long Exponent::Vst::CVst::CVST_I_CANT_DO = -1`[static]`

Vst can't do requested operation

Definition at line 35 of file CVst.hpp.

const long Exponent::Vst::CVst::CVST_I_DONT_KNOW = 0`[static]`

Vst doesnt know if it can do requested operation

Definition at line 36 of file CVst.hpp.

const long Exponent::Vst::CVst::CVST_STRING_LENGTH = 24`[static]`

Vst string length for getting descriptions

Definition at line 38 of file CVst.hpp.

const long Exponent::Vst::CVst::CVST_WANT_MORE_EVENTS = 1`[static]`

Vst wants more midi events

Definition at line 37 of file CVst.hpp.